SystemOrganization addCategory: #'JQueryMobile-Tests-Scripting'!

JQueryTest subclass: #JQMDocumentExtensionsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMDocumentExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 17:52'!
testChangeEvents
	self
		assert: (self jQuery jqmDocument onPageBeforeChange: self mock)
		equals: self function , '(document).bind("pagebeforechange",function(){mock})'.
		
	self
		assert: (self jQuery jqmDocument onPageChange: self mock)
		equals: self function , '(document).bind("pagechange",function(){mock})'. 
		
	self
		assert: (self jQuery jqmDocument onPageChangeFailed: self mock)
		equals: self function , '(document).bind("pagechangefailed",function(){mock})'. ! !

!JQMDocumentExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 18:00'!
testLoadEvents
	self
		assert: (self jQuery jqmDocument onPageBeforeLoad: self mock)
		equals: self function , '(document).bind("pagebeforeload",function(){mock})'.
		
	self
		assert: (self jQuery jqmDocument onPageLoad: self mock)
		equals: self function , '(document).bind("pageload",function(){mock})'. 
		
	self
		assert: (self jQuery jqmDocument onPageLoadFailed: self mock)
		equals: self function , '(document).bind("pageloadfailed",function(){mock})'. ! !

JQueryTest subclass: #JQMInstanceExtensionsTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMInstanceExtensionsTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 12:11'!
testData
	self
		assert: ((self jQuery: 'body div') first jqmDataAt: 'role')
		equals: self function , '("body div").first().jqmData("role")'.
	self
		assert: ((self jQuery: 'body div') first jqmDataAt: 'role' put: 'page')
		equals: self function , '("body div").first().jqmData("role","page")'! !

!JQMInstanceExtensionsTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 12:04'!
testRemoveData
	self 
		assert: ((self jQuery: 'body div') first jqmRemoveDataAt: 'role')
		equals: self function , '("body div").first().jqmRemoveData("role")'! !

JQueryTest subclass: #JQMInstanceMobileExtensionsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMInstanceMobileExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 16:21'!
testTouchEvents
	self
		assert: ((self jQuery: #testDiv) onTap: self mock)
		equals: self function , '("#testDiv").bind("tap",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onTapHold: self mock)
		equals: self function , '("#testDiv").bind("taphold",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onSwipe: self mock)
		equals: self function , '("#testDiv").bind("swipe",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onSwipeLeft: self mock)
		equals: self function , '("#testDiv").bind("swipeleft",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onSwipeRight: self mock)
		equals: self function , '("#testDiv").bind("swiperight",function(){mock})'.
	! !

!JQMInstanceMobileExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 16:24'!
testVirtualMouseEvents
	self
		assert: ((self jQuery: #testDiv) onVirtualMouseOver: self mock)
		equals: self function , '("#testDiv").bind("vmouseover",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onVirtualMouseDown: self mock)
		equals: self function , '("#testDiv").bind("vmousedown",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onVirtualMouseMove: self mock)
		equals: self function , '("#testDiv").bind("vmousemove",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onVirtualMouseUp: self mock)
		equals: self function , '("#testDiv").bind("vmouseup",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onVirtualMouseClick: self mock)
		equals: self function , '("#testDiv").bind("vclick",function(){mock})'.
		
	self
		assert: ((self jQuery: #testDiv) onVirtualMouseCancel: self mock)
		equals: self function , '("#testDiv").bind("vmousecancel",function(){mock})'.
	! !

JQueryTest subclass: #JQMLoadPageOptionsTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMLoadPageOptionsTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 21:34'!
testOptions1
	| options |
	options := JQMLoadPageOptions new
		allowSamePageTransition: true;
		changeHash: false;
		data: 'someData';
		dataUrl: 'newUrl'
		yourself. 
	
	self
		assert: options
		equals: '{"allowSamePageTransition":true,"changeHash":false,"data":"someData","data-url":"newUrl"}'! !

!JQMLoadPageOptionsTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 10:51'!
testOptions2
	| options |
	options := JQMLoadPageOptions new
		loadMsgDelay: 300;
		pageContainer:	(self jQuery: #mainContainer);
		reloadPage: true;
		reverse: true;
		yourself. 
	
	self
		assert: options
		equals: '{"loadMsgDelay":300,"pageContainer":$("#mainContainer"),"reloadPage":true,"reverse":true}'! !

!JQMLoadPageOptionsTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 10:55'!
testOptions3
	| options |
	options := JQMLoadPageOptions new
		role: 'content';
		showLoadMsg:false;
		transition: 'fade';
		type: 'post';
		yourself. 
	
	self
		assert: options
		equals: '{"role":"content","showLoadMsg":false,"transition":"fade","type":"post"}'! !

JQueryTest subclass: #JQMPageExtensionsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMPageExtensionsTest methodsFor: 'configuration' stamp: 'NickAger 10/22/2011 16:16'!
createHandlers
	| session |
	session := WASession new.
	session properties at: #pageId put: 1.
	^ Array with: session! !

!JQMPageExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 17:06'!
testCreateEvents
	self
		assert: (self jQuery page onBeforeCreate: self mock)
		equals: self function , '("#pageId1").bind("pagebeforecreate",function(){mock})'.
		
	self
		assert: (self jQuery page onCreate: self mock)
		equals: self function , '("#pageId1").bind("pagecreate",function(){mock})'. ! !

!JQMPageExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 17:09'!
testHideEvents
	self
		assert: (self jQuery page onBeforeHide: self mock)
		equals: self function , '("#pageId1").bind("pagebeforehide",function(){mock})'.
		
	self
		assert: (self jQuery page onHide: self mock)
		equals: self function , '("#pageId1").bind("pagehide",function(){mock})'. ! !

!JQMPageExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 17:07'!
testInitializationEvent
	self
		assert: (self jQuery page onInitialization: self mock)
		equals: self function , '("#pageId1").bind("pageinit",function(){mock})'! !

!JQMPageExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 16:52'!
testOrientationEvents
	self
		assert: (self jQuery page onOrientationChange: self mock)
		equals: self function , '("#pageId1").bind("orientationchange",function(){mock})'.! !

!JQMPageExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 16:16'!
testScrollEvents
	self
		assert: (self jQuery page onScrollStart: self mock)
		equals: self function , '("#pageId1").bind("scrollstart",function(){mock})'.
		
	self
		assert: (self jQuery page onScrollStop: self mock)
		equals: self function , '("#pageId1").bind("scrollstop",function(){mock})'. ! !

!JQMPageExtensionsTest methodsFor: 'tests' stamp: 'NickAger 10/22/2011 17:10'!
testShowEvents
	self
		assert: (self jQuery page onBeforeShow: self mock)
		equals: self function , '("#pageId1").bind("pagebeforeshow",function(){mock})'.
		
	self
		assert: (self jQuery page onShow: self mock)
		equals: self function , '("#pageId1").bind("pageshow",function(){mock})'. ! !

JQueryTest subclass: #JQMScriptInitTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMScriptInitTests methodsFor: 'tests' stamp: 'NickAger 10/24/2011 15:49'!
testMobileInit
	self
		assert: (self jQuery jqmDocument onMobileInit: 'dosomething' )
		equals: '$(document).bind("mobileinit",function(){dosomething})'
! !

JQueryTest subclass: #JQMScriptMethodTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMScriptMethodTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 10:59'!
testChangePage
	| options |
	options := JQMLoadPageOptions new
		transition: 'fade';
		yourself. 

	self
		assert: (self jQuery mobile changePageUrl: 'mobileMe&_s=83783&_k=83738' options: options)
		equals: self function , '.mobile.changePage("mobileMe&_s=83783&_k=83738",{"transition":"fade"})'! !

!JQMScriptMethodTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 12:38'!
testHidePageLoadingMsg
	self
		assert: (self jQuery mobile hidePageLoadingMessage)
		equals: self function , '.mobile.hidePageLoadingMsg()'! !

!JQMScriptMethodTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 11:03'!
testLoadPage
	| options |
	options := JQMLoadPageOptions new
		role: 'content';
		yourself. 

	self
		assert: (self jQuery mobile loadPageUrl: 'mobileMe&_s=83783&_k=83738' options: options)
		equals: self function , '.mobile.loadPage("mobileMe&_s=83783&_k=83738",{"role":"content"})'! !

!JQMScriptMethodTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 12:38'!
testShowPageLoadingMsg
	self
		assert: (self jQuery mobile showPageLoadingMessage)
		equals: self function , '.mobile.showPageLoadingMsg()'! !

!JQMScriptMethodTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 12:30'!
testSilentScrollToYPos
	self
		assert: (self jQuery mobile silentScrollToYPos: 20)
		equals: self function , '.mobile.silentScroll(20)'! !

JQueryTest subclass: #JQMScriptPropertyTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Scripting'!

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:31'!
testActiveBtnClass
	self
		assert: self jQuery mobile activeBtnClass
		equals: self function , '.mobile["activeBtnClass"]'.
		
	self
		assert: (self jQuery mobile activeBtnClass: 'ui-special-btn-active')
		equals: self function , '.mobile["activeBtnClass"]="ui-special-btn-active"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/19/2011 12:28'!
testActivePage
	self
		assert: self jQuery mobile activePage
		equals: self function , '.mobile["activePage"]'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:29'!
testActivePageClass
	self
		assert: self jQuery mobile activePageClass
		equals: self function , '.mobile["activePageClass"]'.
		
	self
		assert: (self jQuery mobile activePageClass: 'special-page-active')
		equals: self function , '.mobile["activePageClass"]="special-page-active"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:34'!
testAjaxEnabled
	self
		assert: self jQuery mobile ajaxEnabled
		equals: self function , '.mobile["ajaxEnabled"]'.
		
	self
		assert: (self jQuery mobile ajaxEnabled: true)
		equals: self function , '.mobile["ajaxEnabled"]=true'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:26'!
testAutoInitializePage
	self
		assert: self jQuery mobile autoInitializePage
		equals: self function , '.mobile["autoInitializePage"]'.
		
	self
		assert: (self jQuery mobile autoInitializePage: false)
		equals: self function , '.mobile["autoInitializePage"]=false'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:51'!
testDefaultDialogTransition
	self
		assert: self jQuery mobile defaultDialogTransition
		equals: self function , '.mobile["defaultDialogTransition"]'.
		
	self
		assert: (self jQuery mobile defaultDialogTransition: 'fade')
		equals: self function , '.mobile["defaultDialogTransition"]="fade"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:52'!
testDefaultPageTransition
	self
		assert: self jQuery mobile defaultPageTransition
		equals: self function , '.mobile["defaultPageTransition"]'.
		
	self
		assert: (self jQuery mobile defaultPageTransition: 'slidedown')
		equals: self function , '.mobile["defaultPageTransition"]="slidedown"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/24/2011 12:27'!
testFixedToolbars
	self
		assert: self jQuery mobile fixedToolbars show
		equals: self function , '.mobile.fixedToolbars.show()'.! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/24/2011 12:29'!
testFixedToolbarsHide
	self
		assert: self jQuery mobile fixedToolbars hide
		equals: self function , '.mobile.fixedToolbars.hide()'.
		
	self
		assert: (self jQuery mobile fixedToolbars hide: false)
		equals: self function , '.mobile.fixedToolbars.hide(false)'.
		
	self
		assert: (self jQuery mobile fixedToolbars hide: true)
		equals: self function , '.mobile.fixedToolbars.hide(true)'.! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/24/2011 12:28'!
testFixedToolbarsShow
	self
		assert: self jQuery mobile fixedToolbars show
		equals: self function , '.mobile.fixedToolbars.show()'.
		
	self
		assert: (self jQuery mobile fixedToolbars show: false)
		equals: self function , '.mobile.fixedToolbars.show(false)'.
		
	self
		assert: (self jQuery mobile fixedToolbars show: true)
		equals: self function , '.mobile.fixedToolbars.show(true)'.! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:48'!
testHashListeningEnabled
	self
		assert: self jQuery mobile hashListeningEnabled
		equals: self function , '.mobile["hashListeningEnabled"]'.
		
	self
		assert: (self jQuery mobile hashListeningEnabled: false)
		equals: self function , '.mobile["hashListeningEnabled"]=false'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:54'!
testLoadingMessage
	self
		assert: self jQuery mobile loadingMessage
		equals: self function , '.mobile["loadingMessage"]'.
		
	self
		assert: (self jQuery mobile loadingMessage: 'ready soon')
		equals: self function , '.mobile["loadingMessage"]="ready soon"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:53'!
testMinScrollBack
	self
		assert: self jQuery mobile minScrollBack
		equals: self function , '.mobile["minScrollBack"]'.
		
	self
		assert: (self jQuery mobile minScrollBack: 20)
		equals: self function , '.mobile["minScrollBack"]=20'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 19:33'!
testNamespace
	self
		assert: self jQuery mobile namespace
		equals: self function , '.mobile["ns"]'.
		
	self
		assert: (self jQuery mobile namespace: 'seaside')
		equals: self function , '.mobile["ns"]="seaside"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:58'!
testPageLoadErrorMessage
	self
		assert: self jQuery mobile pageLoadErrorMessage
		equals: self function , '.mobile["pageLoadErrorMessage"]'.
		
	self
		assert: (self jQuery mobile pageLoadErrorMessage: 'Houston we a have problem')
		equals: self function , '.mobile["pageLoadErrorMessage"]="Houston we a have problem"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:28'!
testSubPageUrlKey
	self
		assert: self jQuery mobile subPageUrlKey
		equals: self function , '.mobile["subPageUrlKey"]'.
		
	self
		assert: (self jQuery mobile subPageUrlKey: 'special-page')
		equals: self function , '.mobile["subPageUrlKey"]="special-page"'! !

!JQMScriptPropertyTests methodsFor: 'tests' stamp: 'NickAger 10/18/2011 20:50'!
testTouchOverflowEnabled
	self
		assert: self jQuery mobile touchOverflowEnabled
		equals: self function , '.mobile["touchOverflowEnabled"]'.
		
	self
		assert: (self jQuery mobile touchOverflowEnabled: true)
		equals: self function , '.mobile["touchOverflowEnabled"]=true'! !

!GRPackage class methodsFor: '*jquerymobile-tests-scripting' stamp: 'NickAger 10/25/2011 11:49'!
jQueryMobileTestsScripting
	^ self new
		name: 'JQueryMobile-Tests-Scripting';
		description: 'tests for jQueryMobile scripting';
		addDependency: 'JQueryMobile-Scripting';
		addDependency:  'JQuery-Tests-Core';
		url: #seasideUrl;
		yourself! !
